/***************************************************************************
                          kaffeineapp.cpp  -  description
                             -------------------
    begin                : Die Mai 13 2003
    copyright            : (C) 2003 by J.  Kofler
    email                : kaffeine@gmx.net
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#include <kcmdlineargs.h>

#include "kaffeineapp.h"


KaffeineApp::KaffeineApp() : KUniqueApplication(), kaffeine(0)
{
}

KaffeineApp::~KaffeineApp()
{
 delete kaffeine;
}


int KaffeineApp::newInstance()
{
 if (kaffeine)
   {
     kaffeine->showNormal();
     return 0;
   }  
 else 
   kaffeine = new KMP(0, "main window");

  setMainWidget(kaffeine);
  kaffeine->resize(600,500);  //prevent the win is outside of desktop

  if(!kaffeine->videoWin->InitXine())
    {
      kaffeine->close();
      return 0;
    }  
  else
    kaffeine->Finalize();


  KCmdLineArgs* args = KCmdLineArgs::parsedArgs();

  KURL::List files;

  if (args->count() == 0)
    kaffeine->LoadPlaylist();
  else
  {
    for (int i=0; i<args->count(); i++)
    {
      files.append(args->url(i)); 
    }  
  }

  kaffeine->CmdArgs(files, args->isSet("play"), args->isSet("fullscreen"));

  args->clear();  
   
  return 0;
}



